Subject: Re: [PATCH] wext

From: [email-masked]
Date: Wed, 4 Oct 2006 12:56:06 +0200

On Wed, 2006-10-04 at 10:37, Johannes Berg <[email-masked]> wrote:
> On Mon, 2006-10-02 at 19:55 +0200, [email-masked] wrote:
> > This patch (wext-patch) is a proposal. It adds two new defines for the
> > SIOCSIWMLME to cover all kinds MLMEs (well, except REASSOC) through a
> > ioctl. (it would be nice to have them, so that I can post the hostapd
> > code for the prism54 card!)
>
> NACK from me. Please help me work on nl80211 instead :)
>
> johannes

hmm... another month of fun. ;) 

no really, the problem is that "my" hardware (aka: prism54 fullmac) does all 
the mac-management, encryption/decryption, AP-Management,... in the firmware. 
And all "management" operation are wrapped into a simple unique 
4-byte "Operation ID"... That's why the WEXT "would be better" for that 
thing...

(Or, do I mix everything up and nl80211 has "nothing" to do with devicescape's 
networkstack d80211?)

	Chr